{
 "actions": [],
 "autoname": "Prompt",
 "creation": "2021-03-24 09:04:21.555295",
 "pagetype": "PageType",
 "editable_grid": 1,
 "engine": "InnoDB",
 "field_order": [
  "default_cluster",
  "column_break_4",
  "dns_provider",
  "dnspod_app_id",
  "dnspod_app_token",
  "aws_access_key_id",
  "aws_secret_access_key"
 ],
 "fields": [
  {
   "default": "DNSPod",
   "fieldname": "dns_provider",
   "fieldtype": "Select",
   "in_list_view": 1,
   "in_standard_filter": 1,
   "label": "DNS Provider",
   "options": "DNSPod\nAWS Route 53\nOther",
   "reqd": 1
  },
  {
   "fieldname": "column_break_4",
   "fieldtype": "Column Break"
  },
  {
   "depends_on": "eval:pg.dns_provider=='AWS Route 53'",
   "fieldname": "aws_access_key_id",
   "fieldtype": "Data",
   "label": "AWS Access Key ID"
  },
  {
   "depends_on": "eval:pg.dns_provider=='AWS Route 53'",
   "fieldname": "aws_secret_access_key",
   "fieldtype": "Password",
   "label": "AWS Secret Access Key"
  },
  {
   "fieldname": "default_cluster",
   "fieldtype": "Link",
   "label": "Default Cluster",
   "options": "Cluster",
   "reqd": 1
  },
  {
   "depends_on": "eval:pg.dns_provider=='DNSPod'",
   "fieldname": "dnspod_app_id",
   "fieldtype": "Data",
   "label": "DNSPod APP ID ( or SecretId )"
  },
  {
   "depends_on": "eval:pg.dns_provider=='DNSPod'",
   "fieldname": "dnspod_app_token",
   "fieldtype": "Password",
   "label": "DNSPod  APP Token ( or SecretKey )"
  }
 ],
 "index_web_pages_for_search": 1,
 "links": [
  {
   "group": "Linked Documents",
   "link_pagetype": "TLS Certificate",
   "link_fieldname": "domain"
  },
  {
   "group": "Linked Documents",
   "link_pagetype": "Site",
   "link_fieldname": "domain"
  },
  {
   "group": "Servers",
   "link_pagetype": "Server",
   "link_fieldname": "domain"
  },
  {
   "group": "Servers",
   "link_pagetype": "Proxy Server",
   "link_fieldname": "domain"
  },
  {
   "group": "Servers",
   "link_pagetype": "Database Server",
   "link_fieldname": "domain"
  },
  {
   "group": "Servers",
   "link_pagetype": "Registry Server",
   "link_fieldname": "domain"
  }
 ],
 "modified": "2025-04-10 01:35:05.509396",
 "modified_by": "Administrator",
 "module": "Jcloud",
 "name": "Root Domain",
 "naming_rule": "Set by user",
 "owner": "Administrator",
 "permissions": [
  {
   "create": 1,
   "delete": 1,
   "email": 1,
   "export": 1,
   "print": 1,
   "read": 1,
   "report": 1,
   "role": "System Manager",
   "share": 1,
   "write": 1
  }
 ],
 "row_format": "Dynamic",
 "sort_field": "modified",
 "sort_order": "DESC",
 "states": [],
 "track_changes": 1
}